#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  imlib2-1.12.6

- Next

  kImageAnnotator-0.7.2

- Up
- Home

# kColorPicker-0.3.1

## Introduction to kColorPicker

kColorPicker is a QToolButton library with a color popup menu, which lets you select colors. The popup menu features a color dialog button which can be used to add custom colors to the popup menu.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/ksnip/kColorPicker/archive/v0.3.1/kColorPicker-0.3.1.tar.gz

- Download MD5 sum: 1efc91252446af0d7e5c467ea7d517e7

- Download size: 16 KB

- Estimated disk space required: 2.4 MB

- Estimated build time: less than 0.1 SBU

### kColorPicker Dependencies

#### Required

CMake-4.3.2 and Qt-6.11.0

## Installation of kColorPicker

Install kColorPicker by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON      \
          -D BUILD_WITH_QT6=ON         \
          .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkColorPicker.so
Installed Directories: /usr/lib/cmake/kColorPicker

- Prev

  imlib2-1.12.6

- Next

  kImageAnnotator-0.7.2

- Up
- Home